package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemCurrentpriceQueryRequest struct {
	/*
	   渠道店id     */
	ShopId *int64 `json:"shop_id" required:"true" `
	/*
	   sku编码列表     */
	SkuCodes *[]string `json:"sku_codes" required:"true" `
	/*
	   渠道     */
	OrderChannelCode *string `json:"order_channel_code" required:"true" `
}

func (s *AlibabaWdkItemCurrentpriceQueryRequest) SetShopId(v int64) *AlibabaWdkItemCurrentpriceQueryRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkItemCurrentpriceQueryRequest) SetSkuCodes(v []string) *AlibabaWdkItemCurrentpriceQueryRequest {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaWdkItemCurrentpriceQueryRequest) SetOrderChannelCode(v string) *AlibabaWdkItemCurrentpriceQueryRequest {
	s.OrderChannelCode = &v
	return s
}

func (req *AlibabaWdkItemCurrentpriceQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopId != nil {
		paramMap["shop_id"] = *req.ShopId
	}
	if req.SkuCodes != nil {
		paramMap["sku_codes"] = util.ConvertBasicList(*req.SkuCodes)
	}
	if req.OrderChannelCode != nil {
		paramMap["order_channel_code"] = *req.OrderChannelCode
	}
	return paramMap
}

func (req *AlibabaWdkItemCurrentpriceQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
